Search code examples
revit-apirevitrevitpythonshellpyrevit

Run the "Show" Feature of "Select Elements by ID" using API Revit


In the User Interface Revit has a "select element by ID" which has a "Show" button. I'm able using RPS and a custom pyrevit code to select the elements, however I'd like to give my users the ability to scan through all the views and open views where the element is visible similar to the "Show" button. Before going through, iterating views and elements in views, I thought I'd ask if there's a direct command open in the API. Or a way to call the show ribbon command. Thanks in advance


Solution

  • UIDocument.ShowElements( ICollection ids);